diff --git a/pengine/test10/whitebox-ms-ordering-move.exp b/pengine/test10/whitebox-ms-ordering-move.exp
index 54067f0c0..f8718de33 100644
--- a/pengine/test10/whitebox-ms-ordering-move.exp
+++ b/pengine/test10/whitebox-ms-ordering-move.exp
@@ -1,118 +1,118 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="1"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="91" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="99" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_remote_node="lxc1" CRM_meta_timeout="90000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="90" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="98" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="90" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1">
+      <rsc_op id="98" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="rhel7-1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="lxc1" CRM_meta_timeout="90000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="108" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="116" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="97" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
+      <rsc_op id="105" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="94" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
+        <rsc_op id="102" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
       </trigger>
       <trigger>
-        <rsc_op id="95" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="103" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="104" operation="promote" operation_key="lxc-ms-master_promote_0"/>
+        <pseudo_event id="112" operation="promote" operation_key="lxc-ms-master_promote_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="109" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="117" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="96" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1">
+      <rsc_op id="104" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="95" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="103" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="102" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="110" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="95" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1">
+      <rsc_op id="103" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="106" operation="demote" operation_key="lxc-ms-master_demote_0"/>
+        <pseudo_event id="114" operation="demote" operation_key="lxc-ms-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="94" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
+      <rsc_op id="102" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="96" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="104" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="100" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="108" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="109" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="117" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6" priority="1000000">
     <action_set>
-      <pseudo_event id="107" operation="demoted" operation_key="lxc-ms-master_demoted_0">
+      <pseudo_event id="115" operation="demoted" operation_key="lxc-ms-master_demoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="95" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="103" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="106" operation="demote" operation_key="lxc-ms-master_demote_0"/>
+        <pseudo_event id="114" operation="demote" operation_key="lxc-ms-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="106" operation="demote" operation_key="lxc-ms-master_demote_0">
+      <pseudo_event id="114" operation="demote" operation_key="lxc-ms-master_demote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
@@ -120,123 +120,135 @@
   </synapse>
   <synapse id="8" priority="1000000">
     <action_set>
-      <pseudo_event id="105" operation="promoted" operation_key="lxc-ms-master_promoted_0">
+      <pseudo_event id="113" operation="promoted" operation_key="lxc-ms-master_promoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="97" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
+        <rsc_op id="105" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="104" operation="promote" operation_key="lxc-ms-master_promote_0">
+      <pseudo_event id="112" operation="promote" operation_key="lxc-ms-master_promote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="101" operation="running" operation_key="lxc-ms-master_running_0"/>
+        <pseudo_event id="109" operation="running" operation_key="lxc-ms-master_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="103" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
+        <pseudo_event id="111" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="107" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="115" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10" priority="1000000">
     <action_set>
-      <pseudo_event id="103" operation="stopped" operation_key="lxc-ms-master_stopped_0">
+      <pseudo_event id="111" operation="stopped" operation_key="lxc-ms-master_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="96" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="104" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="102" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="110" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <pseudo_event id="102" operation="stop" operation_key="lxc-ms-master_stop_0">
+      <pseudo_event id="110" operation="stop" operation_key="lxc-ms-master_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="107" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="115" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12" priority="1000000">
     <action_set>
-      <pseudo_event id="101" operation="running" operation_key="lxc-ms-master_running_0">
+      <pseudo_event id="109" operation="running" operation_key="lxc-ms-master_running_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="94" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
+        <rsc_op id="102" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="100" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="108" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <pseudo_event id="100" operation="start" operation_key="lxc-ms-master_start_0">
+      <pseudo_event id="108" operation="start" operation_key="lxc-ms-master_start_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="103" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
+        <pseudo_event id="111" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="107" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="115" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <rsc_op id="110" operation="monitor" operation_key="lxc1_monitor_30000" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="118" operation="monitor" operation_key="lxc1_monitor_30000" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="109" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="117" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <rsc_op id="109" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="117" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_name="start" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="91" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="26" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="108" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="28" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="99" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="116" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <rsc_op id="108" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1">
+      <rsc_op id="116" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="90000" />
         <downed>
@@ -246,25 +258,109 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="96" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="26" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="104" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17">
     <action_set>
+      <rsc_op id="32" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-5" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="18">
+    <action_set>
+      <rsc_op id="30" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-4" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="19">
+    <action_set>
+      <rsc_op id="28" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-3" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="20">
+    <action_set>
+      <rsc_op id="26" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-2" on_node_uuid="2">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="21">
+    <action_set>
+      <rsc_op id="33" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-5" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="22">
+    <action_set>
+      <rsc_op id="31" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-4" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="23">
+    <action_set>
+      <rsc_op id="29" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-3" on_node_uuid="4">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-3" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="24">
+    <action_set>
+      <rsc_op id="27" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="25">
+    <action_set>
       <pseudo_event id="25" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="90" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="98" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="96" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
+        <rsc_op id="104" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-1"/>
       </trigger>
       <trigger>
-        <rsc_op id="108" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="116" operation="stop" operation_key="lxc1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
diff --git a/pengine/test10/whitebox-ms-ordering-move.summary b/pengine/test10/whitebox-ms-ordering-move.summary
index 5777b84f0..d5f133b62 100644
--- a/pengine/test10/whitebox-ms-ordering-move.summary
+++ b/pengine/test10/whitebox-ms-ordering-move.summary
@@ -36,6 +36,14 @@ Transition Summary:
 
 Executing cluster transition:
  * Pseudo action:   lxc-ms-master_demote_0
+ * Resource action: lxc1            monitor on rhel7-5
+ * Resource action: lxc1            monitor on rhel7-4
+ * Resource action: lxc1            monitor on rhel7-3
+ * Resource action: lxc1            monitor on rhel7-2
+ * Resource action: lxc2            monitor on rhel7-5
+ * Resource action: lxc2            monitor on rhel7-4
+ * Resource action: lxc2            monitor on rhel7-3
+ * Resource action: lxc2            monitor on rhel7-2
  * Resource action: lxc-ms          demote on lxc1
  * Pseudo action:   lxc-ms-master_demoted_0
  * Pseudo action:   lxc-ms-master_stop_0
diff --git a/pengine/test10/whitebox-ms-ordering.dot b/pengine/test10/whitebox-ms-ordering.dot
index bd773634e..1a942f493 100644
--- a/pengine/test10/whitebox-ms-ordering.dot
+++ b/pengine/test10/whitebox-ms-ordering.dot
@@ -69,11 +69,23 @@
 "lxc-ms_stop_0 lxc2" -> "lxc-ms-master_stopped_0" [ style = bold]
 "lxc-ms_stop_0 lxc2" -> "lxc-ms_start_0 lxc2" [ style = bold]
 "lxc-ms_stop_0 lxc2" [ style=bold color="green" fontcolor="orange"]
+"lxc1_monitor_0 18node1" -> "lxc1_start_0 18node1" [ style = bold]
+"lxc1_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 18node2" -> "lxc1_start_0 18node1" [ style = bold]
+"lxc1_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 18node3" -> "lxc1_start_0 18node1" [ style = bold]
+"lxc1_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 18node1" [ style=bold color="green" fontcolor="black"]
 "lxc1_start_0 18node1" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "lxc1_start_0 18node1" -> "lxc-ms_start_0 lxc1" [ style = bold]
 "lxc1_start_0 18node1" -> "lxc1_monitor_30000 18node1" [ style = bold]
 "lxc1_start_0 18node1" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 18node1" -> "lxc2_start_0 18node1" [ style = bold]
+"lxc2_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 18node2" -> "lxc2_start_0 18node1" [ style = bold]
+"lxc2_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 18node3" -> "lxc2_start_0 18node1" [ style = bold]
+"lxc2_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "lxc2_monitor_30000 18node1" [ style=bold color="green" fontcolor="black"]
 "lxc2_start_0 18node1" -> "lxc-ms_monitor_10000 lxc2" [ style = bold]
 "lxc2_start_0 18node1" -> "lxc-ms_start_0 lxc2" [ style = bold]
